AMVAULT(8)

NAME
amvault - Copy Amanda dumps from one volume to another

SYNOPSIS

amvault [-o configoption...] [--dry-run | -n] [--quiet | -q] [--fulls-only] [--latest-fulls] [--incrs-only] [--exact-match] [--export] [--no-interactivity] [--src-timestamp src-timestamp]
[--src-storage src-storage] [--dest-storage dest-storage] config [hostname [ disk [ date [ level [ hostname [dumpspec...] ] ] ] ]]

WARNING

This application is not yet in its final form, and is subject to major revision in subsequent versions of Amanda. Backward compatibility is not guaranteed.

Note that Amanda restore/recover operations will request tertiary media by label when dumpfiles are not found on secondary media, but there is no provision to automatically fetch such media from a different changer

Feedback on and patches to this application are invited and encouraged!

DESCRIPTION

Amvault is conceptually equivalent to "amfetchdump | taper". That is, it reads specified dumps from secondary media and re-writes them on tertiary media.

Amvault Copies dumps selected by the specified filters onto volumes on the storage dest-storage.

  Secondary Media

The dumps to be read from secondary media can be specified by any combination of dump specifications, --fulls-only, --latest-fulls, --incrs-only, and --src-timestamp. At least one must be specified, lest amvault attempt to vault all dumps in the catalog. See amanda-match(7) for more information on dump specifications.

Note that the datestamp given in the dumpspec is the dump datestamp - the run in which the backup was taken on the Amanda client. The --src-timestamp, on the other hand, is the write timestamp - the run in which the dump was written to secondary media. The latter option facilitates duplicating the results of an entire backup run, including any dumps that might have been flushed from holding disk.

  Tertiary Media

The amvault-storage is the default destination storage.

If amanda.conf(5) contains the new part-size splitting parameters, then amvault will use them without any additional configuration. However, if the configuration still uses the old splitting parameters (tape_splitsize, split_diskbuffer, and fallback_splitsize), then amvault will need some additional configuration in order to properly split dumps to tertiary media. To do so, specify a new tapetype in amanda.conf(5), say "TERTIARY", and set the part-size and other appropriate parameters there. Then reference that tapetype in the amvault invocation:

    amvault -otapetype=TERTIARY ...

OPTIONS

--dest-storage dest-storage
    The vaulted dumps are written to the specified storage.

    If the vault-storage option is specified in amanda.conf(5), amvault will use that storage as the default destination. If not, a destination storage must be specified on the amvault command line.

--dry-run, -n
    Cause amvault to print the dumps it would vault, but not actually perform any vaulting operations.

--exact-match
    The host and disk names in the dumpspecs are parsed as exact values.

--export
    Cause amvault to attempt to move completed tertiary volumes to import/export slots, where they can be more easily removed by an operator.

--fulls-only
    Only full (level-0) dumps are copied.

--incrs-only
    Only incremental (level > 0) dumps are copied.

--latest-fulls
    The latest full of every DLE in the disklist that do not have the skip strategy.

--no-interactivity
    Disable interactivity if a source or destination volume is not found.

--quiet, -q
    Suppress the progress messages normally printed to the terminal as dumps are being copied.

--src-labelstr labelstr
    Only dumps from volumes matching labelstr are copied.

    labelstr is a Perl regular expression, and will be matched as a substring of the volume labels -- it may be necessary to anchor the labelstr with "^" and/or "$" in order to prevent undesired partial matches.

    Also note that if a dump is split across multiple volumes and labelstr matches only one of those volumes, amvault will not select that dump for copying. For this reason, it is generally safer to to select dumps directly using other filters, in which case amvault will be able to retrieve parts of split dumps from whatever volume they were originally written to.

--src-storage src-storage
    Only dumps found on the specified storage are copied. (If this option is not given, all available source storages will be searched.)

--src-timestamps src-timestamps
    Specifies the timestamps in the format 'YYYYMMDDHHMMSS' of the run to vault, can be "latest", then the most recent amdump or amflush run will be used.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLES

Vault all dump written to tape in the latest amdump or amflush run:
$ amvault --src-timestamps latest CONF

Vault all dump written on the run of December 7 2011 12:13:14 :
$ amvault --src-timestamps 20111207121314 CONF

Vault all dump dumped on any run of December 7 2011:
$ amvault CONF \* \* 20111207

SEE ALSO

amanda(8), amanda-changers(7), amfetchdump(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Dustin J. Mitchell <dustin@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)